Apache Tomcat 7.0.42

## org.apache.tomcat.util.http.fileupload
Class FileItemStream.ItemSkippedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.tomcat.util.http.fileupload.FileItemStream.ItemSkippedException

All Implemented Interfaces:
  Serializable

Enclosing interface:
  FileItemStream

    public static class FileItemStream.ItemSkippedException

extends IOException

This exception is thrown, if an attempt is made to read data from the `InputStream`, which has been returned by `FileItemStream.openStream()`, after `Iterator.hasNext()` has been invoked on the iterator, which created the `FileItemStream`.

See Also:
  Serialized Form

Constructor Summary
`FileItemStream.ItemSkippedException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileItemStream.ItemSkippedException

    public FileItemStream.ItemSkippedException()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.